# Makefile.in generated by automake 1.11 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

# Copyright (C) 2007, 2008, 2009 EPITA Research and Development
# Laboratory (LRDE).
#
# This file is part of Olena.
#
# Olena is free software: you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation, version 2 of the License.
#
# Olena is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Olena.  If not, see <http://www.gnu.org/licenses/>.


VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
@ENABLE_APPS_TRUE@am__append_1 = apps
@ENABLE_TOOLS_TRUE@am__append_2 = tools
DIST_COMMON = $(dist_img_DATA) $(nobase_include_HEADERS) \
	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/headers.mk \
	$(top_srcdir)/build-aux/regen-recursive.mk ChangeLog
subdir = milena
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/autotroll.m4 \
	$(top_srcdir)/m4/boost.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/m4/oln-with-lib.m4 $(top_srcdir)/m4/pkg.m4 \
	$(top_srcdir)/m4/pypath.m4 $(top_srcdir)/m4/swig.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__installdirs = "$(DESTDIR)$(imgdir)" "$(DESTDIR)$(includedir)" \
	"$(DESTDIR)$(includedir)"
DATA = $(dist_img_DATA)
HEADERS = $(nobase_include_HEADERS) $(nobase_nodist_include_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
	distdir
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = doc mesh tests apps tools
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
APPS_CXXFLAGS = @APPS_CXXFLAGS@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
BOOST_CPPFLAGS = @BOOST_CPPFLAGS@
BOOST_ROOT = @BOOST_ROOT@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFITSIO_CPPFLAGS = @CFITSIO_CPPFLAGS@
CFITSIO_LDFLAGS = @CFITSIO_LDFLAGS@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DISTCHECK_CONFIGURE_FLAGS = @DISTCHECK_CONFIGURE_FLAGS@
DLLTOOL = @DLLTOOL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
GDCM_CPPFLAGS = @GDCM_CPPFLAGS@
GDCM_LDFLAGS = @GDCM_LDFLAGS@
GRAPHICSMAGICKXX_CFLAGS = @GRAPHICSMAGICKXX_CFLAGS@
GRAPHICSMAGICKXX_CPPFLAGS = @GRAPHICSMAGICKXX_CPPFLAGS@
GRAPHICSMAGICKXX_LDFLAGS = @GRAPHICSMAGICKXX_LDFLAGS@
GRAPHICSMAGICKXX_LIBS = @GRAPHICSMAGICKXX_LIBS@
GREP = @GREP@
IMAGEMAGICKXX_CFLAGS = @IMAGEMAGICKXX_CFLAGS@
IMAGEMAGICKXX_CPPFLAGS = @IMAGEMAGICKXX_CPPFLAGS@
IMAGEMAGICKXX_LDFLAGS = @IMAGEMAGICKXX_LDFLAGS@
IMAGEMAGICKXX_LIBS = @IMAGEMAGICKXX_LIBS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
MAGICKXX_CPPFLAGS = @MAGICKXX_CPPFLAGS@
MAGICKXX_LDFLAGS = @MAGICKXX_LDFLAGS@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MOC = @MOC@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PYTHON = @PYTHON@
PYTHONINC = @PYTHONINC@
PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
PYTHON_PLATFORM = @PYTHON_PLATFORM@
PYTHON_PREFIX = @PYTHON_PREFIX@
PYTHON_VERSION = @PYTHON_VERSION@
QMAKE = @QMAKE@
QT_CFLAGS = @QT_CFLAGS@
QT_CPPFLAGS = @QT_CPPFLAGS@
QT_CXXFLAGS = @QT_CXXFLAGS@
QT_DEFINES = @QT_DEFINES@
QT_INCPATH = @QT_INCPATH@
QT_LDFLAGS = @QT_LDFLAGS@
QT_LFLAGS = @QT_LFLAGS@
QT_LIBS = @QT_LIBS@
QT_PATH = @QT_PATH@
QT_VERSION = @QT_VERSION@
QT_VERSION_MAJOR = @QT_VERSION_MAJOR@
RANLIB = @RANLIB@
RCC = @RCC@
SCRIBO_CXXFLAGS = @SCRIBO_CXXFLAGS@
SCRIBO_TESTS_CXXFLAGS = @SCRIBO_TESTS_CXXFLAGS@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRICT_ALIASING_CXXFLAGS = @STRICT_ALIASING_CXXFLAGS@
STRIP = @STRIP@
SWIG = @SWIG@
SWIG_LIB = @SWIG_LIB@
TESSERACT_CPPFLAGS = @TESSERACT_CPPFLAGS@
TESSERACT_LDFLAGS = @TESSERACT_LDFLAGS@
TESTS_CXXFLAGS = @TESTS_CXXFLAGS@
TESTS_CXXFLAGS_DEBUG = @TESTS_CXXFLAGS_DEBUG@
TESTS_CXXFLAGS_SPEED = @TESTS_CXXFLAGS_SPEED@
TIFF_CPPFLAGS = @TIFF_CPPFLAGS@
TIFF_LDFLAGS = @TIFF_LDFLAGS@
TOOLS_CXXFLAGS = @TOOLS_CXXFLAGS@
UIC = @UIC@
VERSION = @VERSION@
WARNINGS_CXXFLAGS = @WARNINGS_CXXFLAGS@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
pkgpyexecdir = @pkgpyexecdir@
pkgpythondir = @pkgpythondir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
pyexecdir = @pyexecdir@
pythondir = @pythondir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
subdirs = @subdirs@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
SUBDIRS = doc mesh tests $(am__append_1) $(am__append_2)

# Regen files recursively.
REGEN_SUBDIRS = doc tests
EXTRA_DIST = nodist-headers tests/img/test_rgb8.tif \
	tests/img/test_bw.tif tests/img/test_gl.tif

#<<lrde
nobase_include_HEADERS = mln/accu/all.hh mln/accu/center.hh \
	mln/accu/compute.hh mln/accu/convolve.hh \
	mln/accu/count_adjacent_vertices.hh mln/accu/count_labels.hh \
	mln/accu/count_value.hh mln/accu/essential.hh \
	mln/accu/histo.hh mln/accu/image/all.hh \
	mln/accu/image/essential.hh mln/accu/image/init.hh \
	mln/accu/image/set_value.hh mln/accu/image/take.hh \
	mln/accu/image/take_as_init.hh mln/accu/image/take_n_times.hh \
	mln/accu/image/to_result.hh mln/accu/image/untake.hh \
	mln/accu/internal/base.hh mln/accu/internal/couple.hh \
	mln/accu/label_used.hh mln/accu/line.hh mln/accu/logic/all.hh \
	mln/accu/logic/land.hh mln/accu/logic/land_basic.hh \
	mln/accu/logic/lor.hh mln/accu/logic/lor_basic.hh \
	mln/accu/maj_h.hh mln/accu/math/all.hh mln/accu/math/count.hh \
	mln/accu/math/essential.hh mln/accu/math/sum.hh \
	mln/accu/max_site.hh mln/accu/nil.hh mln/accu/p.hh \
	mln/accu/pair.hh mln/accu/rms.hh mln/accu/shape/all.hh \
	mln/accu/shape/bbox.hh mln/accu/shape/essential.hh \
	mln/accu/shape/height.hh mln/accu/shape/volume.hh \
	mln/accu/site_set/all.hh mln/accu/site_set/essential.hh \
	mln/accu/site_set/rectangularity.hh mln/accu/stat/all.hh \
	mln/accu/stat/deviation.hh mln/accu/stat/essential.hh \
	mln/accu/stat/histo3d_rgb.hh mln/accu/stat/max.hh \
	mln/accu/stat/max_h.hh mln/accu/stat/mean.hh \
	mln/accu/stat/median_alt.hh mln/accu/stat/median_h.hh \
	mln/accu/stat/min.hh mln/accu/stat/min_h.hh \
	mln/accu/stat/min_max.hh mln/accu/stat/rank.hh \
	mln/accu/stat/rank_bool.hh mln/accu/stat/rank_high_quant.hh \
	mln/accu/stat/var.hh mln/accu/stat/variance.hh \
	mln/accu/take.hh mln/accu/transform.hh \
	mln/accu/transform_diagonal.hh \
	mln/accu/transform_directional.hh mln/accu/transform_line.hh \
	mln/accu/transform_snake.hh mln/accu/transform_stop.hh \
	mln/accu/tuple.hh mln/accu/v.hh mln/algebra/all.hh \
	mln/algebra/essential.hh mln/algebra/h_mat.hh \
	mln/algebra/h_vec.hh mln/algebra/mat.hh mln/algebra/quat.hh \
	mln/algebra/vec.hh mln/all.hh mln/arith/all.hh \
	mln/arith/diff_abs.hh mln/arith/div.hh mln/arith/div.spe.hh \
	mln/arith/essential.hh mln/arith/includes.hh mln/arith/min.hh \
	mln/arith/min.spe.hh mln/arith/minus.hh mln/arith/plus.hh \
	mln/arith/revert.hh mln/arith/revert.spe.hh mln/arith/times.hh \
	mln/arith/times.spe.hh mln/binarization/all.hh \
	mln/binarization/binarization.hh mln/binarization/essential.hh \
	mln/binarization/includes.hh mln/binarization/threshold.hh \
	mln/border/adjust.hh mln/border/all.hh mln/border/duplicate.hh \
	mln/border/equalize.hh mln/border/essential.hh \
	mln/border/fill.hh mln/border/find.hh mln/border/get.hh \
	mln/border/mirror.hh mln/border/resize.hh \
	mln/border/resize_equal.hh mln/border/thickness.hh \
	mln/canvas/all.hh mln/canvas/browsing/all.hh \
	mln/canvas/browsing/backdiagonal2d.hh \
	mln/canvas/browsing/breadth_first_search.hh \
	mln/canvas/browsing/depth_first_search.hh \
	mln/canvas/browsing/diagonal2d.hh \
	mln/canvas/browsing/dir_struct_elt_incr_update.hh \
	mln/canvas/browsing/directional.hh \
	mln/canvas/browsing/essential.hh mln/canvas/browsing/fwd.hh \
	mln/canvas/browsing/hyper_directional.hh \
	mln/canvas/browsing/internal/graph_first_search.hh \
	mln/canvas/browsing/snake_fwd.hh \
	mln/canvas/browsing/snake_generic.hh \
	mln/canvas/browsing/snake_vert.hh mln/canvas/chamfer.hh \
	mln/canvas/distance_front.hh mln/canvas/distance_geodesic.hh \
	mln/canvas/essential.hh mln/canvas/labeling/all.hh \
	mln/canvas/labeling/blobs.hh mln/canvas/labeling/essential.hh \
	mln/canvas/labeling/generic.hh \
	mln/canvas/labeling/internal/find_root_fastest.hh \
	mln/canvas/labeling/internal/tests.hh \
	mln/canvas/labeling/sorted.hh mln/canvas/labeling/video.hh \
	mln/canvas/morpho/all.hh mln/canvas/morpho/attribute_filter.hh \
	mln/canvas/morpho/essential.hh \
	mln/canvas/morpho/internal/find_root.hh \
	mln/clustering/kmean_rgb.hh mln/convert/all.hh \
	mln/convert/essential.hh mln/convert/from_to.hh \
	mln/convert/from_to.hxx mln/convert/impl/all.hh \
	mln/convert/impl/from_double_to_value.hh \
	mln/convert/impl/from_float_to_value.hh \
	mln/convert/impl/from_image_to_site_set.hh \
	mln/convert/impl/from_int_to_value.hh \
	mln/convert/impl/from_site_set_to_image.hh \
	mln/convert/impl/from_unsigned_to_value.hh \
	mln/convert/impl/from_value_to_value.hh mln/convert/to.hh \
	mln/convert/to_dpoint.hh mln/convert/to_fun.hh \
	mln/convert/to_image.hh mln/convert/to_p_array.hh \
	mln/convert/to_p_set.hh mln/convert/to_qimage.hh \
	mln/convert/to_qimage_nocopy.hh mln/convert/to_upper_window.hh \
	mln/convert/to_window.hh mln/core/a_point_of.hh \
	mln/core/alias/all.hh mln/core/alias/box1d.hh \
	mln/core/alias/box2d.hh mln/core/alias/box2d_h.hh \
	mln/core/alias/box3d.hh mln/core/alias/complex_geometry.hh \
	mln/core/alias/complex_image.hh mln/core/alias/dpoint1d.hh \
	mln/core/alias/dpoint2d.hh mln/core/alias/dpoint2d_h.hh \
	mln/core/alias/dpoint3d.hh mln/core/alias/neighb1d.hh \
	mln/core/alias/neighb2d.hh mln/core/alias/neighb3d.hh \
	mln/core/alias/p_run2d.hh mln/core/alias/p_runs2d.hh \
	mln/core/alias/point1d.hh mln/core/alias/point2d.hh \
	mln/core/alias/point2d_h.hh mln/core/alias/point3d.hh \
	mln/core/alias/vec2d.hh mln/core/alias/vec3d.hh \
	mln/core/alias/w_window1d_float.hh \
	mln/core/alias/w_window1d_int.hh \
	mln/core/alias/w_window2d_float.hh \
	mln/core/alias/w_window2d_int.hh \
	mln/core/alias/w_window3d_float.hh \
	mln/core/alias/w_window3d_int.hh mln/core/alias/window1d.hh \
	mln/core/alias/window2d.hh mln/core/alias/window3d.hh \
	mln/core/all.hh mln/core/box_runend_piter.hh \
	mln/core/box_runstart_piter.hh mln/core/category.hh \
	mln/core/concept/accumulator.hh mln/core/concept/all.hh \
	mln/core/concept/box.hh mln/core/concept/browsing.hh \
	mln/core/concept/delta_point_site.hh \
	mln/core/concept/doc/accumulator.hh \
	mln/core/concept/doc/box.hh mln/core/concept/doc/dpoint.hh \
	mln/core/concept/doc/generalized_pixel.hh \
	mln/core/concept/doc/image.hh \
	mln/core/concept/doc/image_fastest.hh \
	mln/core/concept/doc/iterator.hh \
	mln/core/concept/doc/neighborhood.hh \
	mln/core/concept/doc/object.hh \
	mln/core/concept/doc/pixel_iterator.hh \
	mln/core/concept/doc/point_iterator.hh \
	mln/core/concept/doc/point_site.hh \
	mln/core/concept/doc/site_set.hh \
	mln/core/concept/doc/value_iterator.hh \
	mln/core/concept/doc/value_set.hh \
	mln/core/concept/doc/weighted_window.hh \
	mln/core/concept/doc/window.hh mln/core/concept/dpoint.hh \
	mln/core/concept/function.hh mln/core/concept/gdpoint.hh \
	mln/core/concept/generalized_pixel.hh \
	mln/core/concept/gpoint.hh mln/core/concept/graph.hh \
	mln/core/concept/image.hh mln/core/concept/iterator.hh \
	mln/core/concept/literal.hh mln/core/concept/mesh.hh \
	mln/core/concept/meta_accumulator.hh \
	mln/core/concept/meta_function.hh \
	mln/core/concept/neighborhood.hh mln/core/concept/object.hh \
	mln/core/concept/pixel_iterator.hh mln/core/concept/point.hh \
	mln/core/concept/point_site.hh mln/core/concept/proxy.hh \
	mln/core/concept/proxy.hxx mln/core/concept/pseudo_site.hh \
	mln/core/concept/regular_grid.hh mln/core/concept/site.hh \
	mln/core/concept/site_iterator.hh \
	mln/core/concept/site_proxy.hh mln/core/concept/site_set.hh \
	mln/core/concept/value.hh mln/core/concept/value_iterator.hh \
	mln/core/concept/value_set.hh \
	mln/core/concept/weighted_window.hh mln/core/concept/window.hh \
	mln/core/contract.hh mln/core/def/all.hh mln/core/def/coord.hh \
	mln/core/def/coordf.hh mln/core/def/essential.hh \
	mln/core/def/low_quant_nbits.hh mln/core/dpoint.hh \
	mln/core/dpoints_pixter.hh mln/core/dpsites_piter.hh \
	mln/core/essential.hh mln/core/faces_psite.hh \
	mln/core/grids.hh mln/core/image/all.hh \
	mln/core/image/ch_piter.hh mln/core/image/complex_image.hh \
	mln/core/image/complex_neighborhood_piter.hh \
	mln/core/image/complex_neighborhoods.hh \
	mln/core/image/complex_window_piter.hh \
	mln/core/image/complex_windows.hh mln/core/image/dmorph/all.hh \
	mln/core/image/dmorph/extended.hh \
	mln/core/image/dmorph/extension_fun.hh \
	mln/core/image/dmorph/extension_ima.hh \
	mln/core/image/dmorph/extension_val.hh \
	mln/core/image/dmorph/hexa.hh \
	mln/core/image/dmorph/hexa_piter.hh \
	mln/core/image/dmorph/image2d_h.hh \
	mln/core/image/dmorph/image_if.hh \
	mln/core/image/dmorph/p2p_image.hh \
	mln/core/image/dmorph/slice_image.hh \
	mln/core/image/dmorph/sub_image.hh \
	mln/core/image/dmorph/sub_image_if.hh \
	mln/core/image/dmorph/transformed_image.hh \
	mln/core/image/dmorph/unproject_image.hh \
	mln/core/image/edge_image.hh mln/core/image/essential.hh \
	mln/core/image/flat_image.hh \
	mln/core/image/graph_elt_mixed_neighborhood.hh \
	mln/core/image/graph_elt_mixed_window.hh \
	mln/core/image/graph_elt_neighborhood.hh \
	mln/core/image/graph_elt_neighborhood_if.hh \
	mln/core/image/graph_elt_window.hh \
	mln/core/image/graph_elt_window_if.hh \
	mln/core/image/graph_window_if_piter.hh \
	mln/core/image/graph_window_piter.hh mln/core/image/image1d.hh \
	mln/core/image/image2d.hh mln/core/image/image3d.hh \
	mln/core/image/imorph/all.hh \
	mln/core/image/imorph/decorated_image.hh \
	mln/core/image/imorph/interpolated.hh \
	mln/core/image/imorph/labeled_image.hh \
	mln/core/image/imorph/lazy_image.hh \
	mln/core/image/imorph/plain.hh mln/core/image/imorph/safe.hh \
	mln/core/image/imorph/tr_image.hh \
	mln/core/image/vertex_image.hh mln/core/image/vmorph/all.hh \
	mln/core/image/vmorph/cast_image.hh \
	mln/core/image/vmorph/fun_image.hh \
	mln/core/image/vmorph/violent_cast_image.hh \
	mln/core/internal/box_impl.hh \
	mln/core/internal/check/image_all.hh \
	mln/core/internal/check/image_fastest.hh \
	mln/core/internal/classical_window_base.hh \
	mln/core/internal/complex_neighborhood_base.hh \
	mln/core/internal/complex_window_base.hh \
	mln/core/internal/complex_window_p_base.hh \
	mln/core/internal/coord_impl.hh mln/core/internal/data.hh \
	mln/core/internal/exact.hh mln/core/internal/exact_gcc_2_95.hh \
	mln/core/internal/fixme.hh mln/core/internal/force_exact.hh \
	mln/core/internal/geom_bbox.hh \
	mln/core/internal/graph_psite_base.hh \
	mln/core/internal/graph_window_base.hh \
	mln/core/internal/image_base.hh \
	mln/core/internal/image_domain_morpher.hh \
	mln/core/internal/image_identity.hh \
	mln/core/internal/image_morpher.hh \
	mln/core/internal/image_primary.hh \
	mln/core/internal/image_value_morpher.hh \
	mln/core/internal/is_masked_impl_selector.hh \
	mln/core/internal/labeled_image_base.hh \
	mln/core/internal/morpher_lvalue.hh \
	mln/core/internal/neighb_base.hh \
	mln/core/internal/neighb_niter_base.hh \
	mln/core/internal/neighb_niter_impl.hh \
	mln/core/internal/neighborhood_base.hh \
	mln/core/internal/p_complex_piter_base.hh \
	mln/core/internal/piter_adaptor.hh \
	mln/core/internal/piter_identity.hh \
	mln/core/internal/pixel_impl.hh \
	mln/core/internal/pixel_iterator_base.hh \
	mln/core/internal/pseudo_site_base.hh \
	mln/core/internal/run_image.hh mln/core/internal/set_of.hh \
	mln/core/internal/site_iterator_base.hh \
	mln/core/internal/site_relative_iterator_base.hh \
	mln/core/internal/site_set_base.hh \
	mln/core/internal/site_set_impl.hh \
	mln/core/internal/site_set_iterator_base.hh \
	mln/core/internal/weighted_window_base.hh \
	mln/core/internal/window_base.hh mln/core/macros.hh \
	mln/core/mixed_neighb.hh mln/core/neighb.hh mln/core/pixel.hh \
	mln/core/pixter1d.hh mln/core/pixter2d.hh mln/core/pixter3d.hh \
	mln/core/point.hh mln/core/routine/all.hh \
	mln/core/routine/duplicate.hh mln/core/routine/essential.hh \
	mln/core/routine/exact.hh mln/core/routine/extend.hh \
	mln/core/routine/init.hh mln/core/routine/init.hxx \
	mln/core/routine/initialize.hh mln/core/routine/ops.hh \
	mln/core/routine/primary.hh mln/core/site_set/all.hh \
	mln/core/site_set/attic/p_complex_faces_piter.hh \
	mln/core/site_set/attic/p_faces_piter.hh \
	mln/core/site_set/box.hh mln/core/site_set/box_piter.hh \
	mln/core/site_set/complex_psite.hh \
	mln/core/site_set/essential.hh mln/core/site_set/operators.hh \
	mln/core/site_set/p_array.hh mln/core/site_set/p_centered.hh \
	mln/core/site_set/p_complex.hh \
	mln/core/site_set/p_complex_piter.hh \
	mln/core/site_set/p_double.hh mln/core/site_set/p_edges.hh \
	mln/core/site_set/p_edges_psite.hh \
	mln/core/site_set/p_faces.hh \
	mln/core/site_set/p_graph_piter.hh mln/core/site_set/p_if.hh \
	mln/core/site_set/p_if_piter.hh mln/core/site_set/p_image.hh \
	mln/core/site_set/p_key.hh mln/core/site_set/p_line2d.hh \
	mln/core/site_set/p_mutable_array_of.hh \
	mln/core/site_set/p_n_faces_piter.hh \
	mln/core/site_set/p_priority.hh mln/core/site_set/p_queue.hh \
	mln/core/site_set/p_queue_fast.hh mln/core/site_set/p_run.hh \
	mln/core/site_set/p_run_piter.hh mln/core/site_set/p_set.hh \
	mln/core/site_set/p_set_of.hh \
	mln/core/site_set/p_transformed.hh \
	mln/core/site_set/p_transformed_piter.hh \
	mln/core/site_set/p_vaccess.hh mln/core/site_set/p_vertices.hh \
	mln/core/site_set/p_vertices_psite.hh mln/core/tags.hh \
	mln/core/trait/all.hh mln/core/trait/essential.hh \
	mln/core/trait/op_mult.hh mln/core/trait/pixter.hh \
	mln/core/trait/qlf_value.hh mln/core/var.hh \
	mln/core/w_window.hh mln/core/window.hh mln/data/abs.hh \
	mln/data/all.hh mln/data/apply.hh mln/data/apply.spe.hh \
	mln/data/approx/all.hh mln/data/approx/essential.hh \
	mln/data/approx/median.hh mln/data/compare.hh \
	mln/data/compute.hh mln/data/convert.hh mln/data/essential.hh \
	mln/data/fast_median.hh mln/data/fill.hh \
	mln/data/fill_with_image.hh mln/data/fill_with_image.spe.hh \
	mln/data/fill_with_value.hh mln/data/fill_with_value.spe.hh \
	mln/data/median.hh mln/data/memcpy_.hh mln/data/memset_.hh \
	mln/data/naive/all.hh mln/data/naive/essential.hh \
	mln/data/naive/median.hh mln/data/paste.hh \
	mln/data/paste.spe.hh mln/data/paste_without_localization.hh \
	mln/data/replace.hh mln/data/saturate.hh \
	mln/data/sort_offsets.hh mln/data/sort_psites.hh \
	mln/data/split.hh mln/data/stretch.hh mln/data/to_enc.hh \
	mln/data/transform.hh mln/data/transform.spe.hh \
	mln/data/transform_inplace.hh mln/data/update.hh \
	mln/data/wrap.hh mln/debug/all.hh mln/debug/draw_graph.hh \
	mln/debug/essential.hh mln/debug/filename.hh \
	mln/debug/format.hh mln/debug/histo.hh mln/debug/iota.hh \
	mln/debug/iota.spe.hh mln/debug/mosaic.hh mln/debug/println.hh \
	mln/debug/println.spe.hh mln/debug/println_with_border.hh \
	mln/debug/println_with_border.spe.hh mln/debug/put_word.hh \
	mln/debug/quiet.hh mln/debug/slices_2d.hh \
	mln/debug/superpose.hh mln/debug/z_order.hh mln/display/all.hh \
	mln/display/essential.hh mln/draw/all.hh mln/draw/box.hh \
	mln/draw/box_plain.hh mln/draw/dashed_line.hh \
	mln/draw/essential.hh mln/draw/line.hh mln/draw/plot.hh \
	mln/draw/polygon.hh mln/draw/site_set.hh mln/essential/1d.hh \
	mln/essential/2d.hh mln/essential/3d.hh \
	mln/essential/routine.hh mln/estim/all.hh \
	mln/estim/essential.hh mln/estim/mean.hh mln/estim/min_max.hh \
	mln/estim/sum.hh mln/extension/adjust.hh \
	mln/extension/adjust_duplicate.hh mln/extension/adjust_fill.hh \
	mln/extension/all.hh mln/extension/duplicate.hh \
	mln/extension/essential.hh mln/extension/fill.hh \
	mln/fun/all.hh mln/fun/c.hh mln/fun/cast.hh \
	mln/fun/essential.hh mln/fun/i2v/all.hh mln/fun/i2v/all_to.hh \
	mln/fun/i2v/array.hh mln/fun/i2v/essential.hh \
	mln/fun/i2v/value_at_index.hh \
	mln/fun/internal/ch_function_value_impl.hh \
	mln/fun/internal/resolve.hh mln/fun/internal/selector.hh \
	mln/fun/internal/x2x_linear_impl.hh mln/fun/meta/impl.hh \
	mln/fun/n2v/all.hh mln/fun/n2v/white_gaussian.hh \
	mln/fun/ops.hh mln/fun/p2b/all.hh mln/fun/p2b/antilogy.hh \
	mln/fun/p2b/big_chess.hh mln/fun/p2b/chess.hh \
	mln/fun/p2b/essential.hh mln/fun/p2b/has.hh \
	mln/fun/p2b/tautology.hh mln/fun/p2p/all.hh \
	mln/fun/p2p/fold.hh mln/fun/p2p/mirror.hh \
	mln/fun/p2p/translation.hh mln/fun/p2v/all.hh \
	mln/fun/p2v/elifs.hh mln/fun/p2v/essential.hh \
	mln/fun/p2v/iota.hh mln/fun/p2v/ternary.hh mln/fun/stat/all.hh \
	mln/fun/stat/mahalanobis.hh mln/fun/v2b/all.hh \
	mln/fun/v2b/essential.hh mln/fun/v2b/lnot.hh \
	mln/fun/v2b/threshold.hh mln/fun/v2i/all.hh \
	mln/fun/v2i/index_of_value.hh mln/fun/v2v/abs.hh \
	mln/fun/v2v/all.hh mln/fun/v2v/cast.hh \
	mln/fun/v2v/ch_function_value.hh mln/fun/v2v/component.hh \
	mln/fun/v2v/convert.hh mln/fun/v2v/dec.hh mln/fun/v2v/enc.hh \
	mln/fun/v2v/essential.hh mln/fun/v2v/id.hh mln/fun/v2v/inc.hh \
	mln/fun/v2v/linear.hh mln/fun/v2v/norm.hh \
	mln/fun/v2v/projection.hh mln/fun/v2v/qt_rgb_to_int_u.hh \
	mln/fun/v2v/rgb8_to_rgbn.hh mln/fun/v2v/rgb_to_int_u.hh \
	mln/fun/v2v/rgb_to_luma.hh mln/fun/v2v/saturate.hh \
	mln/fun/v2v/wrap.hh mln/fun/v2w2v/all.hh mln/fun/v2w2v/cos.hh \
	mln/fun/v2w_w2v/all.hh mln/fun/v2w_w2v/norm.hh \
	mln/fun/vv2b/all.hh mln/fun/vv2b/eq.hh mln/fun/vv2b/ge.hh \
	mln/fun/vv2b/gt.hh mln/fun/vv2b/implies.hh mln/fun/vv2b/le.hh \
	mln/fun/vv2b/lt.hh mln/fun/vv2v/all.hh \
	mln/fun/vv2v/diff_abs.hh mln/fun/vv2v/essential.hh \
	mln/fun/vv2v/land.hh mln/fun/vv2v/land_not.hh \
	mln/fun/vv2v/lor.hh mln/fun/vv2v/lxor.hh \
	mln/fun/vv2v/macros.hh mln/fun/vv2v/max.hh mln/fun/vv2v/min.hh \
	mln/fun/vv2v/vec.hh mln/fun/x2p/all.hh \
	mln/fun/x2p/closest_point.hh mln/fun/x2p/essential.hh \
	mln/fun/x2v/all.hh mln/fun/x2v/bilinear.hh \
	mln/fun/x2v/essential.hh mln/fun/x2v/l1_norm.hh \
	mln/fun/x2v/linear.hh mln/fun/x2v/nneighbor.hh \
	mln/fun/x2v/trilinear.hh mln/fun/x2x/all.hh \
	mln/fun/x2x/composed.hh mln/fun/x2x/essential.hh \
	mln/fun/x2x/rotation.hh mln/fun/x2x/translation.hh \
	mln/geom/all.hh mln/geom/bbox.hh mln/geom/chamfer.hh \
	mln/geom/complex_geometry.hh mln/geom/delta.hh \
	mln/geom/essential.hh mln/geom/horizontal_symmetry.hh \
	mln/geom/max_col.hh mln/geom/max_ind.hh mln/geom/max_row.hh \
	mln/geom/max_sli.hh mln/geom/min_col.hh mln/geom/min_ind.hh \
	mln/geom/min_row.hh mln/geom/min_sli.hh mln/geom/ncols.hh \
	mln/geom/ninds.hh mln/geom/nrows.hh mln/geom/nsites.hh \
	mln/geom/nslis.hh mln/geom/pmin_pmax.hh mln/geom/rotate.hh \
	mln/geom/seeds2tiling.hh mln/geom/seeds2tiling_roundness.hh \
	mln/geom/size1d.hh mln/geom/size2d.hh mln/geom/size3d.hh \
	mln/geom/translate.hh mln/geom/vertical_symmetry.hh \
	mln/graph/all.hh mln/graph/attribute/card.hh \
	mln/graph/attribute/representative.hh mln/graph/compute.hh \
	mln/graph/essential.hh mln/graph/labeling.hh \
	mln/graph/to_neighb.hh mln/graph/to_win.hh mln/histo/all.hh \
	mln/histo/array.hh mln/histo/compute.hh \
	mln/histo/compute.spe.hh mln/histo/equalize.hh \
	mln/histo/essential.hh mln/histo/point_from_value.hh \
	mln/io/abort.hh mln/io/all.hh mln/io/cloud/all.hh \
	mln/io/cloud/load.hh mln/io/cloud/save.hh mln/io/dicom/all.hh \
	mln/io/dicom/get_header.hh mln/io/dicom/load.hh \
	mln/io/dump/all.hh mln/io/dump/get_header.hh \
	mln/io/dump/load.hh mln/io/dump/save.hh mln/io/essential.hh \
	mln/io/fits/all.hh mln/io/fits/load.hh mln/io/fld/all.hh \
	mln/io/fld/header.hh mln/io/fld/load.hh \
	mln/io/fld/load_header.hh mln/io/fld/max_components.hh \
	mln/io/fld/save.hh mln/io/fld/write_header.hh \
	mln/io/magick/all.hh mln/io/magick/load.hh \
	mln/io/magick/save.hh mln/io/off/all.hh mln/io/off/load.hh \
	mln/io/off/save.hh mln/io/pbm/all.hh mln/io/pbm/load.hh \
	mln/io/pbm/save.hh mln/io/pbms/all.hh mln/io/pbms/load.hh \
	mln/io/pfm/all.hh mln/io/pfm/load.hh mln/io/pfm/save.hh \
	mln/io/pgm/all.hh mln/io/pgm/load.hh mln/io/pgm/save.hh \
	mln/io/pgms/all.hh mln/io/pgms/load.hh mln/io/plot/all.hh \
	mln/io/plot/load.hh mln/io/plot/save.hh mln/io/pnm/all.hh \
	mln/io/pnm/load.hh mln/io/pnm/load_header.hh \
	mln/io/pnm/macros.hh mln/io/pnm/max_component.hh \
	mln/io/pnm/save.hh mln/io/pnm/save_header.hh \
	mln/io/pnms/all.hh mln/io/pnms/load.hh mln/io/ppm/all.hh \
	mln/io/ppm/load.hh mln/io/ppm/save.hh mln/io/ppms/all.hh \
	mln/io/ppms/load.hh mln/io/raw/all.hh mln/io/raw/get_header.hh \
	mln/io/raw/load.hh mln/io/raw/save.hh mln/io/tiff/all.hh \
	mln/io/tiff/load.hh mln/io/txt/all.hh mln/io/txt/save.hh \
	mln/labeling/all.hh mln/labeling/background.hh \
	mln/labeling/blobs.hh mln/labeling/blobs_and_compute.hh \
	mln/labeling/colorize.hh mln/labeling/compute.hh \
	mln/labeling/compute_image.hh mln/labeling/essential.hh \
	mln/labeling/fill_holes.hh mln/labeling/flat_zones.hh \
	mln/labeling/foreground.hh mln/labeling/mean_values.hh \
	mln/labeling/n_max.hh mln/labeling/pack.hh \
	mln/labeling/regional_maxima.hh \
	mln/labeling/regional_minima.hh mln/labeling/relabel.hh \
	mln/labeling/superpose.hh mln/labeling/value.hh \
	mln/labeling/value.spe.hh mln/labeling/value_and_compute.hh \
	mln/labeling/wrap.hh mln/linear/all.hh \
	mln/linear/ch_convolve.hh mln/linear/convolve.hh \
	mln/linear/convolve_2x1d.hh mln/linear/convolve_directional.hh \
	mln/linear/essential.hh mln/linear/lap.hh \
	mln/linear/local/convolve.hh mln/linear/log.hh \
	mln/linear/sobel_2d.hh mln/literal/all.hh mln/literal/black.hh \
	mln/literal/colors.hh mln/literal/essential.hh \
	mln/literal/grays.hh mln/literal/identity.hh \
	mln/literal/max.hh mln/literal/min.hh mln/literal/one.hh \
	mln/literal/ops.hh mln/literal/origin.hh mln/literal/white.hh \
	mln/literal/zero.hh mln/logical/all.hh mln/logical/and.hh \
	mln/logical/and_not.hh mln/logical/essential.hh \
	mln/logical/includes.hh mln/logical/not.hh \
	mln/logical/not.spe.hh mln/logical/or.hh mln/logical/xor.hh \
	mln/make/all.hh mln/make/attachment.hh mln/make/box1d.hh \
	mln/make/box2d.hh mln/make/box2d_h.hh mln/make/box3d.hh \
	mln/make/cell.hh mln/make/detachment.hh \
	mln/make/double_neighb2d.hh mln/make/dpoint2d_h.hh \
	mln/make/dual_neighb.hh mln/make/dummy_p_edges.hh \
	mln/make/dummy_p_vertices.hh mln/make/edge_image.hh \
	mln/make/essential.hh mln/make/h_mat.hh mln/make/image.hh \
	mln/make/image2d.hh mln/make/image3d.hh \
	mln/make/influence_zone_adjacency_graph.hh mln/make/mat.hh \
	mln/make/neighb2d.hh mln/make/p_edges_with_mass_centers.hh \
	mln/make/p_vertices_with_mass_centers.hh mln/make/pix.hh \
	mln/make/pixel.hh mln/make/point2d_h.hh \
	mln/make/rag_and_labeled_wsl.hh \
	mln/make/region_adjacency_graph.hh mln/make/relabelfun.hh \
	mln/make/vec.hh mln/make/vertex_image.hh mln/make/voronoi.hh \
	mln/make/w_window.hh mln/make/w_window1d.hh \
	mln/make/w_window1d_int.hh mln/make/w_window2d.hh \
	mln/make/w_window2d_int.hh mln/make/w_window3d.hh \
	mln/make/w_window3d_int.hh mln/make/w_window_directional.hh \
	mln/make/win_chamfer.hh mln/math/abs.hh mln/math/acos.hh \
	mln/math/all.hh mln/math/cos.hh mln/math/diff_abs.hh \
	mln/math/essential.hh mln/math/jacobi.hh mln/math/max.hh \
	mln/math/min.hh mln/math/pi.hh mln/math/round.hh \
	mln/math/round_sat.hh mln/math/sign.hh mln/math/sin.hh \
	mln/math/sqr.hh mln/math/sqrt.hh mln/metal/abort.hh \
	mln/metal/all.hh mln/metal/ands.hh mln/metal/array.hh \
	mln/metal/array1d.hh mln/metal/array2d.hh mln/metal/array3d.hh \
	mln/metal/bexpr.hh mln/metal/bool.hh mln/metal/const.hh \
	mln/metal/converts_to.hh mln/metal/equal.hh \
	mln/metal/essential.hh mln/metal/fix_return.hh \
	mln/metal/goes_to.hh mln/metal/if.hh mln/metal/int.hh \
	mln/metal/is.hh mln/metal/is_a.hh mln/metal/is_const.hh \
	mln/metal/is_not.hh mln/metal/is_not_a.hh \
	mln/metal/is_not_const.hh mln/metal/is_not_ref.hh \
	mln/metal/is_ref.hh mln/metal/is_unqualif.hh mln/metal/mat.hh \
	mln/metal/math/all.hh mln/metal/math/max.hh \
	mln/metal/math/pow.hh mln/metal/math/root.hh \
	mln/metal/math/sqrt.hh mln/metal/none.hh \
	mln/metal/not_equal.hh mln/metal/ref.hh mln/metal/ret.hh \
	mln/metal/same_coord.hh mln/metal/same_point.hh \
	mln/metal/templated_by.hh mln/metal/unconst.hh \
	mln/metal/unptr.hh mln/metal/unqualif.hh mln/metal/unref.hh \
	mln/metal/vec.hh mln/morpho/Rd.hh \
	mln/morpho/algebraic_filter.hh mln/morpho/all.hh \
	mln/morpho/approx/all.hh mln/morpho/approx/dilation.hh \
	mln/morpho/approx/erosion.hh mln/morpho/attribute/all.hh \
	mln/morpho/attribute/card.hh \
	mln/morpho/attribute/count_adjacent_vertices.hh \
	mln/morpho/attribute/height.hh \
	mln/morpho/attribute/sharpness.hh mln/morpho/attribute/sum.hh \
	mln/morpho/attribute/volume.hh mln/morpho/closing/algebraic.hh \
	mln/morpho/closing/all.hh mln/morpho/closing/approx/all.hh \
	mln/morpho/closing/approx/structural.hh \
	mln/morpho/closing/area.hh \
	mln/morpho/closing/area_on_vertices.hh \
	mln/morpho/closing/essential.hh mln/morpho/closing/height.hh \
	mln/morpho/closing/leveling.hh \
	mln/morpho/closing/structural.hh mln/morpho/closing/sum.hh \
	mln/morpho/closing/volume.hh mln/morpho/complementation.hh \
	mln/morpho/contrast.hh mln/morpho/dilation.hh \
	mln/morpho/elementary/all.hh mln/morpho/elementary/closing.hh \
	mln/morpho/elementary/dilation.hh \
	mln/morpho/elementary/erosion.hh \
	mln/morpho/elementary/essential.hh \
	mln/morpho/elementary/gradient.hh \
	mln/morpho/elementary/gradient_external.hh \
	mln/morpho/elementary/gradient_internal.hh \
	mln/morpho/elementary/laplacian.hh \
	mln/morpho/elementary/like_ero_fun.hh \
	mln/morpho/elementary/like_ero_set.hh \
	mln/morpho/elementary/opening.hh \
	mln/morpho/elementary/top_hat.hh mln/morpho/erosion.hh \
	mln/morpho/essential.hh mln/morpho/general.hh \
	mln/morpho/general.spe.hh mln/morpho/gradient.hh \
	mln/morpho/hit_or_miss.hh mln/morpho/includes.hh \
	mln/morpho/internal/elementary.hh mln/morpho/laplacian.hh \
	mln/morpho/leveling_filter.hh mln/morpho/line_gradient.hh \
	mln/morpho/meyer_wst.hh mln/morpho/min.hh mln/morpho/minus.hh \
	mln/morpho/opening/algebraic.hh mln/morpho/opening/all.hh \
	mln/morpho/opening/approx/all.hh \
	mln/morpho/opening/approx/structural.hh \
	mln/morpho/opening/area.hh \
	mln/morpho/opening/area_on_vertices.hh \
	mln/morpho/opening/essential.hh mln/morpho/opening/height.hh \
	mln/morpho/opening/leveling.hh \
	mln/morpho/opening/structural.hh mln/morpho/opening/volume.hh \
	mln/morpho/plus.hh mln/morpho/rank_filter.hh \
	mln/morpho/reconstruction/all.hh \
	mln/morpho/reconstruction/by_dilation/all.hh \
	mln/morpho/reconstruction/by_dilation/union_find.hh \
	mln/morpho/reconstruction/by_erosion/all.hh \
	mln/morpho/reconstruction/by_erosion/union_find.hh \
	mln/morpho/skeleton_constrained.hh mln/morpho/thick_miss.hh \
	mln/morpho/thickening.hh mln/morpho/thin_fit.hh \
	mln/morpho/thinning.hh mln/morpho/top_hat.hh \
	mln/morpho/tree/all.hh mln/morpho/tree/component_tree.hh \
	mln/morpho/tree/compute_attribute_image.hh \
	mln/morpho/tree/compute_parent.hh mln/morpho/tree/data.hh \
	mln/morpho/tree/dual_input_tree.hh \
	mln/morpho/tree/filter/all.hh mln/morpho/tree/filter/direct.hh \
	mln/morpho/tree/filter/filter.hh mln/morpho/tree/filter/max.hh \
	mln/morpho/tree/filter/min.hh \
	mln/morpho/tree/filter/subtractive.hh \
	mln/morpho/tree/impl/dual_hqueue.hh \
	mln/morpho/tree/impl/dual_union_find.hh mln/morpho/tree/max.hh \
	mln/morpho/tree/propagate_if.hh \
	mln/morpho/tree/propagate_node.hh \
	mln/morpho/tree/propagate_representative.hh \
	mln/morpho/tree/utils.hh mln/morpho/watershed/all.hh \
	mln/morpho/watershed/flooding.hh \
	mln/morpho/watershed/superpose.hh \
	mln/morpho/watershed/topological.hh mln/norm/all.hh \
	mln/norm/essential.hh mln/norm/l1.hh mln/norm/l2.hh \
	mln/norm/linfty.hh mln/opt/all.hh mln/opt/at.hh \
	mln/opt/element.hh mln/opt/essential.hh mln/opt/value.hh \
	mln/pw/all.hh mln/pw/cst.hh mln/pw/essential.hh \
	mln/pw/image.hh mln/pw/internal/image_base.hh mln/pw/value.hh \
	mln/pw/var.hh mln/set/all.hh mln/set/card.hh \
	mln/set/compute.hh mln/set/compute_with_weights.hh \
	mln/set/diff.hh mln/set/essential.hh mln/set/get.hh \
	mln/set/has.hh mln/set/inter.hh mln/set/sym_diff.hh \
	mln/set/uni.hh mln/set/unique.hh \
	mln/subsampling/antialiased.hh mln/tag/all.hh \
	mln/tag/essential.hh mln/tag/init.hh mln/tag/skeleton.hh \
	mln/test/all.hh mln/test/essential.hh mln/test/positive.hh \
	mln/test/predicate.hh \
	mln/topo/adj_higher_dim_connected_n_face_iter.hh \
	mln/topo/adj_higher_face_iter.hh \
	mln/topo/adj_lower_dim_connected_n_face_iter.hh \
	mln/topo/adj_lower_face_iter.hh \
	mln/topo/adj_lower_higher_face_iter.hh \
	mln/topo/adj_m_face_iter.hh mln/topo/algebraic_face.hh \
	mln/topo/algebraic_n_face.hh mln/topo/all.hh \
	mln/topo/attic/faces_iter.hh mln/topo/center_only_iter.hh \
	mln/topo/centered_iter_adapter.hh mln/topo/complex.hh \
	mln/topo/complex_iterators.hh mln/topo/detach.hh \
	mln/topo/essential.hh mln/topo/face.hh mln/topo/face_data.hh \
	mln/topo/face_iter.hh \
	mln/topo/internal/complex_iterator_base.hh \
	mln/topo/internal/complex_relative_iterator_base.hh \
	mln/topo/internal/complex_relative_iterator_sequence.hh \
	mln/topo/internal/complex_set_iterator_base.hh \
	mln/topo/is_facet.hh mln/topo/is_n_face.hh \
	mln/topo/is_simple_2d.hh mln/topo/is_simple_cell.hh \
	mln/topo/n_face.hh mln/topo/n_face_iter.hh \
	mln/topo/n_faces_set.hh \
	mln/topo/skeleton/breadth_first_thinning.hh \
	mln/topo/skeleton/crest.hh \
	mln/topo/skeleton/is_simple_point.hh \
	mln/topo/static_n_face_iter.hh mln/trace/all.hh \
	mln/trace/entering.hh mln/trace/essential.hh \
	mln/trace/exiting.hh mln/trace/quiet.hh mln/trace/resume.hh \
	mln/trace/stop.hh mln/trace/warning.hh \
	mln/trait/accumulator/print.hh mln/trait/accumulator/props.hh \
	mln/trait/accumulators.hh mln/trait/all.hh \
	mln/trait/ch_function_value.hh mln/trait/ch_value.hh \
	mln/trait/concrete.hh mln/trait/essential.hh \
	mln/trait/image/print.hh mln/trait/image/props.hh \
	mln/trait/image_from_grid.hh mln/trait/images.hh \
	mln/trait/neighborhood.hh mln/trait/op/all.hh \
	mln/trait/op/and.hh mln/trait/op/decl.hh mln/trait/op/div.hh \
	mln/trait/op/eq.hh mln/trait/op/essential.hh \
	mln/trait/op/geq.hh mln/trait/op/greater.hh \
	mln/trait/op/leq.hh mln/trait/op/less.hh mln/trait/op/lor.hh \
	mln/trait/op/minus.hh mln/trait/op/mod.hh mln/trait/op/neq.hh \
	mln/trait/op/not.hh mln/trait/op/or.hh mln/trait/op/ord.hh \
	mln/trait/op/plus.hh mln/trait/op/postdec.hh \
	mln/trait/op/postinc.hh mln/trait/op/predec.hh \
	mln/trait/op/preinc.hh mln/trait/op/times.hh \
	mln/trait/op/uminus.hh mln/trait/op/uplus.hh \
	mln/trait/op/xor.hh mln/trait/promote.hh \
	mln/trait/site_set/print.hh mln/trait/site_set/props.hh \
	mln/trait/site_sets.hh mln/trait/solve.hh \
	mln/trait/solve_binary.hh mln/trait/solve_unary.hh \
	mln/trait/undef.hh mln/trait/value/all.hh \
	mln/trait/value/comp.hh mln/trait/value/essential.hh \
	mln/trait/value/internal/all.hh \
	mln/trait/value/internal/comp.hh mln/trait/value/kind.hh \
	mln/trait/value/nature.hh mln/trait/value/print.hh \
	mln/trait/value/quant.hh mln/trait/value_.hh \
	mln/trait/window/print.hh mln/trait/window/props.hh \
	mln/trait/windows.hh mln/transform/all.hh \
	mln/transform/distance_and_closest_point_geodesic.hh \
	mln/transform/distance_and_influence_zone_geodesic.hh \
	mln/transform/distance_front.hh \
	mln/transform/distance_geodesic.hh mln/transform/essential.hh \
	mln/transform/hough.hh mln/transform/influence_zone_front.hh \
	mln/transform/influence_zone_geodesic.hh \
	mln/transform/influence_zone_geodesic_saturated.hh \
	mln/transform/internal/all.hh \
	mln/transform/internal/closest_point_functor.hh \
	mln/transform/internal/distance_functor.hh \
	mln/transform/internal/influence_zone_functor.hh \
	mln/upscaling/art/scale2x.hh mln/upscaling/art/scale3x.hh \
	mln/util/adjacency_matrix.hh mln/util/all.hh mln/util/array.hh \
	mln/util/branch_iter.hh mln/util/branch_iter_ind.hh \
	mln/util/couple.hh mln/util/dindex.hh mln/util/eat.hh \
	mln/util/edge.hh mln/util/essential.hh \
	mln/util/fibonacci_heap.hh mln/util/graph.hh \
	mln/util/graph_ids.hh mln/util/greater_point.hh \
	mln/util/greater_psite.hh mln/util/hqueues.hh \
	mln/util/ignore.hh mln/util/index.hh \
	mln/util/internal/edge_impl.hh mln/util/internal/graph_base.hh \
	mln/util/internal/graph_iter.hh \
	mln/util/internal/graph_iter_base.hh \
	mln/util/internal/graph_nbh_iter.hh \
	mln/util/internal/graph_nbh_iter_base.hh \
	mln/util/internal/id2element.hh \
	mln/util/internal/vertex_impl.hh mln/util/lazy_set.hh \
	mln/util/lemmings.hh mln/util/line_graph.hh mln/util/max.hh \
	mln/util/multi_site.hh mln/util/nil.hh mln/util/object_id.hh \
	mln/util/ord.hh mln/util/ord_pair.hh mln/util/pix.hh \
	mln/util/set.hh mln/util/site_pair.hh mln/util/soft_heap.hh \
	mln/util/timer.hh mln/util/tracked_ptr.hh mln/util/tree.hh \
	mln/util/tree_fast.hh mln/util/tree_fast_to_image.hh \
	mln/util/tree_to_fast.hh mln/util/tree_to_image.hh \
	mln/util/vertex.hh mln/util/yes.hh mln/value/aliases.hh \
	mln/value/all.hh mln/value/builtin/all.hh \
	mln/value/builtin/carrays.hh mln/value/builtin/essential.hh \
	mln/value/builtin/floatings.hh mln/value/builtin/integers.hh \
	mln/value/builtin/ops.hh mln/value/builtin/promotions.hh \
	mln/value/builtin/symbolics.hh mln/value/cast.hh \
	mln/value/concept/all.hh mln/value/concept/built_in.hh \
	mln/value/concept/data.hh mln/value/concept/essential.hh \
	mln/value/concept/floating.hh mln/value/concept/integer.hh \
	mln/value/concept/scalar.hh mln/value/concept/structured.hh \
	mln/value/concept/symbolic.hh mln/value/concept/vectorial.hh \
	mln/value/equiv.hh mln/value/essential.hh mln/value/float01.hh \
	mln/value/float01_.hh mln/value/float01_16.hh \
	mln/value/float01_8.hh mln/value/float01_f.hh \
	mln/value/gl16.hh mln/value/gl8.hh mln/value/glf.hh \
	mln/value/graylevel.hh mln/value/graylevel_f.hh \
	mln/value/int_s.hh mln/value/int_s16.hh mln/value/int_s32.hh \
	mln/value/int_s8.hh mln/value/int_u.hh mln/value/int_u12.hh \
	mln/value/int_u16.hh mln/value/int_u32.hh mln/value/int_u8.hh \
	mln/value/int_u_sat.hh mln/value/internal/all.hh \
	mln/value/internal/convert.hh mln/value/internal/encoding.hh \
	mln/value/internal/essential.hh mln/value/internal/gray_.hh \
	mln/value/internal/gray_f.hh mln/value/internal/integer.hh \
	mln/value/internal/iterable_set.hh \
	mln/value/internal/limits.hh \
	mln/value/internal/make_generic_name.hh \
	mln/value/internal/value_like.hh mln/value/interval.hh \
	mln/value/label.hh mln/value/label_16.hh mln/value/label_32.hh \
	mln/value/label_8.hh mln/value/lut_vec.hh mln/value/mixin.hh \
	mln/value/next.hh mln/value/ops.hh mln/value/other.hh \
	mln/value/proxy.hh mln/value/qt/rgb32.hh mln/value/rgb.hh \
	mln/value/rgb16.hh mln/value/rgb8.hh mln/value/scalar.hh \
	mln/value/set.hh mln/value/sign.hh mln/value/super_value.hh \
	mln/value/value_array.hh mln/value/viter.hh mln/win/all.hh \
	mln/win/backdiag2d.hh mln/win/ball.hh mln/win/cube3d.hh \
	mln/win/cuboid3d.hh mln/win/diag2d.hh mln/win/diff.hh \
	mln/win/disk2d.hh mln/win/essential.hh mln/win/hline2d.hh \
	mln/win/inter.hh mln/win/line.hh mln/win/multiple.hh \
	mln/win/multiple_size.hh mln/win/octagon2d.hh \
	mln/win/rectangle2d.hh mln/win/segment1d.hh mln/win/shift.hh \
	mln/win/sline3d.hh mln/win/sphere3d.hh mln/win/sym.hh \
	mln/win/vline2d.hh mln/world/all.hh mln/world/binary_2d/all.hh \
	mln/world/binary_2d/enlarge.hh \
	mln/world/binary_2d/projected_histo.hh \
	mln/world/binary_2d/subsample.hh mln/world/inter_pixel/all.hh \
	mln/world/inter_pixel/compute.hh \
	mln/world/inter_pixel/dim2/all.hh \
	mln/world/inter_pixel/dim2/is_dot.hh \
	mln/world/inter_pixel/dim2/is_edge.hh \
	mln/world/inter_pixel/dim2/is_pixel.hh \
	mln/world/inter_pixel/dim2/is_row_odd.hh \
	mln/world/inter_pixel/dim2/make_edge_image.hh \
	mln/world/inter_pixel/display_edge.hh \
	mln/world/inter_pixel/full2image.hh \
	mln/world/inter_pixel/immerse.hh \
	mln/world/inter_pixel/is_pixel.hh \
	mln/world/inter_pixel/is_separator.hh \
	mln/world/inter_pixel/neighb2d.hh \
	mln/world/inter_pixel/separator_to_pixels.hh \
	mln/world/rgb/invert.hh mln/world/rgb/invert.spe.hh \
	mln/accu/math/inf.hh mln/accu/math/sup.hh \
	mln/core/image/vmorph/thru_image.hh \
	mln/core/image/vmorph/thrubin_image.hh mln/data/was.median.hh \
	mln/extract/all.hh mln/extract/blue.hh \
	mln/extract/essential.hh mln/extract/green.hh \
	mln/extract/hue.hh mln/extract/lum.hh mln/extract/red.hh \
	mln/extract/sat.hh mln/fun/access/all.hh \
	mln/fun/access/mean.hh mln/fun/accu_result.hh \
	mln/fun/binary.hh mln/fun/binary_param.hh \
	mln/fun/component/blue.hh mln/fun/component/comp.hh \
	mln/fun/component/comp_count.hh mln/fun/component/green.hh \
	mln/fun/component/ithcomp.hh mln/fun/component/red.hh \
	mln/fun/component/rgb.hh mln/fun/component/scomp.hh \
	mln/fun/compose.hh mln/fun/composition.hh mln/fun/from_accu.hh \
	mln/fun/math/abs.hh mln/fun/math/cos.hh mln/fun/math/inf.hh \
	mln/fun/math/norm.hh mln/fun/math/sup.hh mln/fun/meta/all.hh \
	mln/fun/meta/blue.hh mln/fun/meta/essential.hh \
	mln/fun/meta/first.hh mln/fun/meta/green.hh \
	mln/fun/meta/hue.hh mln/fun/meta/inty.hh mln/fun/meta/lum.hh \
	mln/fun/meta/red.hh mln/fun/meta/sat.hh mln/fun/meta/second.hh \
	mln/fun/meta/to_enc.hh mln/fun/param.hh mln/fun/point/col.hh \
	mln/fun/point/row.hh mln/fun/point/sli.hh \
	mln/fun/spe/binary.hh mln/fun/spe/unary.hh mln/fun/unary.hh \
	mln/fun/unary_param.hh mln/fun/v2v/hsi_to_rgb.hh \
	mln/fun/v2v/hsl_to_rgb.hh mln/fun/v2v/rgb_to_hsi.hh \
	mln/fun/v2v/rgb_to_hsl.hh mln/linear/gaussian.hh \
	mln/linear/gaussian/filter.hh mln/linear/gaussian/impl.hh \
	mln/linear/gaussian/internal/coefficients.hh \
	mln/linear/gaussian_1d.hh \
	mln/linear/gaussian_directional_2d.hh mln/registration/all.hh \
	mln/registration/essential.hh mln/registration/get_rot.hh \
	mln/registration/get_rtransf.hh mln/registration/icp.hh \
	mln/registration/internal/rms.hh \
	mln/registration/registration.hh mln/subsampling/all.hh \
	mln/subsampling/essential.hh \
	mln/subsampling/gaussian_subsampling.hh \
	mln/subsampling/subsampling.hh mln/trait/functions.hh \
	mln/trait/next/solve.hh mln/trait/next/solve_binary.hh \
	mln/trait/next/solve_proxy.hh mln/trait/next/solve_unary.hh \
	mln/value/hsi.hh mln/value/hsl.hh mln/value/shell.hh \
	mln/value/stack.hh

# Generated by configure from mln/version.hh.in.
nobase_nodist_include_HEADERS = mln/version.hh
imgdir = $(pkgdatadir)/images
dist_img_DATA = \
  img/README					\
  img/fly.pbm					\
  img/fly.pgm					\
  img/fly.ppm					\
  img/lena.pbm					\
  img/lena.pgm					\
  img/lena.ppm					\
  img/lena_16.ppm				\
  img/medium.pgm				\
  img/medium.ppm				\
  img/picasso.pbm				\
  img/picasso.pgm				\
  img/picasso.ppm				\
  img/quite-small.pgm				\
  img/small.pbm					\
  img/small.pgm					\
  img/small.ppm					\
  img/squares-lc.pgm				\
  img/squares.pgm				\
  img/test.fits					\
  img/tiny.pbm					\
  img/tiny.pgm					\
  img/tiny.ppm					\
  img/toto.pbm

all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/build-aux/regen-recursive.mk $(srcdir)/headers.mk $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu milena/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu milena/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-dist_imgDATA: $(dist_img_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(imgdir)" || $(MKDIR_P) "$(DESTDIR)$(imgdir)"
	@list='$(dist_img_DATA)'; test -n "$(imgdir)" || list=; \
	for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; \
	done | $(am__base_list) | \
	while read files; do \
	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(imgdir)'"; \
	  $(INSTALL_DATA) $$files "$(DESTDIR)$(imgdir)" || exit $$?; \
	done

uninstall-dist_imgDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_img_DATA)'; test -n "$(imgdir)" || list=; \
	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(imgdir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(imgdir)" && rm -f $$files
install-nobase_includeHEADERS: $(nobase_include_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
	@list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
	    echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
	    $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(includedir)" && rm -f $$files
install-nobase_nodist_includeHEADERS: $(nobase_nodist_include_HEADERS)
	@$(NORMAL_INSTALL)
	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
	@list='$(nobase_nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
	    echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
	    $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_nodist_includeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_nodist_include_HEADERS)'; test -n "$(includedir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	test -n "$$files" || exit 0; \
	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
	cd "$(DESTDIR)$(includedir)" && rm -f $$files

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
	      END { if (nonempty) { for (i in files) print i; }; }'`; \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d "$(distdir)/$$subdir" \
	    || $(MKDIR_P) "$(distdir)/$$subdir" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile $(DATA) $(HEADERS)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(imgdir)" "$(DESTDIR)$(includedir)" "$(DESTDIR)$(includedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags

dvi: dvi-recursive

dvi-am:

html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-dist_imgDATA install-nobase_includeHEADERS \
	install-nobase_nodist_includeHEADERS

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man:

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-dist_imgDATA uninstall-nobase_includeHEADERS \
	uninstall-nobase_nodist_includeHEADERS

.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
	install-am install-strip tags-recursive

.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
	all all-am check check-am clean clean-generic clean-libtool \
	ctags ctags-recursive distclean distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dist_imgDATA install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-nobase_includeHEADERS \
	install-nobase_nodist_includeHEADERS install-pdf \
	install-pdf-am install-ps install-ps-am install-strip \
	installcheck installcheck-am installdirs installdirs-am \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-recursive uninstall uninstall-am \
	uninstall-dist_imgDATA uninstall-nobase_includeHEADERS \
	uninstall-nobase_nodist_includeHEADERS


.PHONY: pretty-check tests

pretty-check:
	cd tests && $(MAKE) $(AM_MAKEFLAGS) $@

tests:
	cd tests && $(MAKE) $(AM_MAKEFLAGS) $@

regen: regen-recursive
regen-am:
# Copied and adjusted from a generated Makefile.in (rule
# `$(RECURSIVE_TARGETS)').  (Automake does not allow us to interact
# with the code it generates in Makefile.in.)  We might want to
# propose this as a patch to the Automake project.
regen-recursive:
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(REGEN_SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

.PHONY: regen regen-am regen-recursive

# Force the regeneration of `headers.mk'.
#
# We do not delegate the action of regenerating `headers.mk' to
# `regen' like this:
#
#   $(MAKE) $(AM_MAKEFLAGS) regen
#
# to avoid an infinite recursion, since
#
# - the generation of `headers.mk' would trigger the update
#   (regeneration) of `Makefile' (due to the behavior of Automade
#   Makefiles);
#
# and because
#
# - `Makefile' depends on `headers.mk' (because of the `include'
#    statement); and
# - `headers.mk' depends on `generate_dist_headers.sh'.
#
# Hence the redundant action.  There may be a better solution
regen-am:
	cd $(srcdir)							\
	  && $(abs_top_srcdir)/build-aux/generate_dist_headers.sh	\
	       mln headers.mk nodist-headers
# FIXME: Change generate_dist_headers.sh so that the action looks like this:
#
#	$< $@.tmp && mv -f $@.tmp $@ && chmod -w $@
#
$(srcdir)/headers.mk: $(top_srcdir)/build-aux/generate_dist_headers.sh nodist-headers
	cd $(srcdir)							\
	  && $(abs_top_srcdir)/build-aux/generate_dist_headers.sh	\
	       mln headers.mk nodist-headers
#>>

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
